<?php

/**
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://mbmti.ir
 * @since             2.0.7
 * @package           MBMTI_PKG
 *
 * @wordpress-plugin
 * Plugin Name:       Net Tutorial Plugin
 * Plugin URI:        https://mbmti.ir
 * Description:       این اولین پلاگینی هست که من برای وردپرس می نویسم
 * Version:           1.0.0
 * Author:            Net Tutorial
 * Author URI:        https://mbmti.ir/our-team
 * Text Domain:       mbmti
 * Domain Path:       /languages
 */



add_action("admin_menu", 'wpdocs_add_custom_menu');

function wpdocs_add_custom_menu()
{
    add_menu_page('Net Tutorial Plugin', 'Net Tutorial Plugin', 'manage_options', 'mbmti_ir_dashboard', 'mbmti_ir_dashboard_page');
}

function mbmti_ir_dashboard_page()
{
    if (isset($_POST["field_test"])) {
        update_option('mbmti_option', $_POST["field_test"]);
        echo '<span>با موفقیت ذخیره شد</span>';
    }
?>
    <div style="padding: 50px;">
        <form method="post" action="?page=mbmti_ir_dashboard">
            <div>مقدار را برای ذخیره وارد کنید</div>
            <div>
                <input id="field_test" name="field_test" value="<?php echo get_option("mbmti_option") ?>" />
            </div>
            <div>
                <button>ذخیره</button>
            </div>
        </form>
    </div>
<?php
}

add_action('init', 'wpdocs_add_custom_shortcode');

function wpdocs_add_custom_shortcode()
{
    add_shortcode('mbmti_ir', 'wpdocs_mbmti_func');
    function wpdocs_mbmti_func()
    {
        $option = get_option("mbmti_option");
        if (strlen($option) > 0) {
            echo $option;
        } else {
            echo 'option is null !';
        }
    }
}
